package com.ho.business.service;

import com.ho.business.entity.DeviceTypeCol;
import com.ho.business.entity.ForwardCol;
import com.ho.business.vo.req.ForwardColTemplateReq;
import com.ho.business.vo.resp.ForwardColTemplateResp;

import java.util.List;

public interface ForwardColTemplateService {

    /**
     * 新增模板
     *
     * @param template
     * @return
     */
    int addForwardColTemplate(ForwardColTemplateReq template);

    /**
     * 新增测点
     *
     * @param list
     * @return
     */
    int addForwardCol(List<ForwardCol> list,Integer planningTemplateId);

    /**
     * 编辑模板
     *
     * @param template
     * @return
     */
    int modifyForwardColTemplate(ForwardColTemplateReq template);

    /**
     * 删除测点数据
     *
     * @param id
     * @return
     */
    int deleteForwardCol(Integer id);

    /**
     * 根据模板id删除
     *
     * @param ids
     * @return
     */
    int deleteForwardColTemplates(List<Integer> ids);

    /**
     * 删除测点集合
     * @param ids
     * @return
     */
    int deleteForwardCols(List<Integer> ids);

    /**
     * 检查名称是否重复
     * @param templateName
     * @return
     */
    int checkName(String templateName,Integer tempId);

    /**
     * 查询详细信息
     * @param template
     * @return
     */
    List<ForwardColTemplateResp> getForwardColTemplateDetail(ForwardColTemplateReq template);

    /**
     * 获取转发表数据
     * @param typeList
     * @param tempId
     * @return
     */
    List<DeviceTypeCol> getForwardCol(List<String> typeList,Integer tempId);
}
